<?php

$title = 'Профиль';


$load=array("avatar","user");
include_once 'protected/sys.php';
if(isset($_GET['id'])){
	$id = intval($_GET['id']);
} else {
	$id = $user['id'];
}
if (isset($id))
{
	$dataRows = $db->rows("SELECT `id` FROM `users` WHERE `id`=?",
				      array($id));
	if ($dataRows == 0)
	{
		$data =&$user;
	}
	else
	{
		$data = $db->fetch("SELECT * FROM `users` WHERE `id`=?",
							array($id));
	}
}
?>               
<div class="menu">
<?

$avatar = new Avatar($db);
$avatar->avatar($data['id']);


	if ($data['close'] == 1)
	{
		echo '<span class=\'q3\'/> Игрок в режиме чтения </span>';
	}

/*
if($data['online']>($config['time']-3600*12)){
echo "<span class='win'>Онлайн</span>";
} else {
echo "<span class='lose'>Офлайн</span>";
}
*/

?>
</div>
<div class="menu">

  <img src="http://mdrag.ru/style/images/icons/icon_lvl.png"> Уровень: <span class="high"><?=$data['level']?></span><br />
	<div class="colum">
		<img class='icon' src='/imgData/static/str.png'> Сила: <?=$data['str']?>
	</div>
	<div class="colum">
		<img class='icon' src='/imgData/static/def.png'> Защита: <?=$data['def']?>
	</div>
	<div class="colum">
		<img class='icon' src='/imgData/static/hp.png'> Здоровье:
 <?=$data['max_hp']?>
	</div>

<? if($data['id']==$user['id']){ ?>
<?
if($user['vip']=="yes"){
echo '
<img src="http://mdrag.ru/style/images/icons/icon_str.png"> <span class="ok">Премиум-аккаунт: '.vip_time($user['vip_time']-time()).'

</span><br />';

}
?>

	<div class="colum">
		<img class='icon' src='/imgData/static/exp.png'> Опыт: <?=$data['exp']?>/<?=$expLevel[$data['level']]?>
	</div>
	<div class="colum">
		<img class='icon' src='http://mdrag.ru/style/images/icons/icon_gem.png'> Золото: <?=$data['gold']?> 
	</div>
	<div class="colum">
		<img class='icon' src='http://mdrag.ru/style/images/icons/icon_gold.png'> Серебро: <?=$data['silver']?> 
	</div>
<? } ?>

	<div class="colum-full">
		<img class='icon' src='/imgData/static/str.png'>
		<img class='icon' src='/imgData/static/def.png'>
		<img class='icon' src='/imgData/static/hp.png'> Сумма: <?=($data['def']+$data['str']+$data['max_hp'])?></div>
	
</div>

<a class="wrapper" href="/shop/amulet.php">
            <div class="t">
            <span class="item">
                <img src="http://144.76.127.94/view/image/arena/amulet1.png">
            </span>
                <p>
                    <span class="high unline">Амулет</span><br />
                    <small>
                        Уровень: <span class="high"><?=$data['amulet']?></span> / 45<br />
                        <span class="ok"></span>
                    </small>
                </p>
            </div>
        </a>
 


<?

if(!$data['clan_id'] != 0) {
    $r = $db->rows("SELECT `name` FROM `clans` WHERE `id` = '".$data['clan_id']."'");
    echo '
    <a href="/clan/clan.php?id='.$data['clan_id'].'">'.htmlspecialchars($r['name']).'</a>';
    
}

if($data['online']>($config['time']-3600*12)){
echo "<span class='menu'>Онлайн</span>";
} else {
echo "<span class='menu'>Офлайн</span>";
}
echo "<a class='menu' href ='/weapons?id=".$data['id']."'/> <img class ='icon' src = '/imgData/static/equip.png'/>Экипировка </a></li>";

if ($data['id'] ==  $user['id']){
	$bagCount = $db->rows("SELECT * FROM `weapons` WHERE `id_user`=? and `status`=?",array($user['id'],"no"));
	echo "<a class='menu' href ='/backpack'/> <img class ='icon' src = '/imgData/static/bag.png'/> Сумка (".$bagCount." из ".$data['backpack'].") </a></li>";
	echo "<a class='menu' href ='/train'/> <img class ='icon' src = '/imgData/static/train.png'/> Тренировка </a></li>";
} else {
		echo "<a class='menu' href ='/mail/index.php?get&id=".$data['id']."'/> <img class ='icon' src = '/imgData/static/train.png'/> Написать</a></li>";
		if(!$data['clan_id'] && $user['clan_id'] && $db->rows("SELECT id FROM clans WHERE admin_id = ?", array($user['id']))) {
			echo '<a class="menu" href="/clans/user?invite='. $data['id'] .'">Пригласить в клан</a>';
		}
}

if($user['access']>=2){
?>
<div class='menu'>
Пароль: <?=$data['password']?></br>
Почта: <?=$data['mail']?></br>
Где находится: <?=$data['self']?></br>
IP: <?=$data['ip']?> | <?=$data['ua']?></br>
Золото: <?=$data['gold']?></br>
Серебро: <?=$data['silver']?></br>
Бои и охоте: <?=$data['ohota']?>
</div>
<?
	echo "<a class='menu' href ='/admin/logs?id=".$data['id']."'> <img class ='icon' src = '/imgData/static/train.png'/> Просмотреть логи </a></li>";
echo "<a class='menu' href ='http://fan.fangame.xyz/admin/ban?act=ban&id=".$data['id']."'> <img class ='icon' src = '/imgData/static/train.png'/> Ban</a></li>";
}

include_once $config['root'].'/protected/footermain.php';
?>